package com.zhangmeng.online.exam.ui.api.form;

import com.zhangmeng.online.exam.ui.api.form.base.Form;
import com.zhangmeng.online.exam.ui.controller.OptionEditController;
import com.zhangmeng.online.exam.ui.controller.SubjectEditController;
import javafx.fxml.FXMLLoader;

import java.io.IOException;

/**
 * @author zm
 * @date 2025/4/11 14:05
 * @version: 1.0
 */
public class QuestionOptionForm extends Form {


    private OptionEditController controller;

    public QuestionOptionForm() {
        try {
            FXMLLoader fxmlLoader = new FXMLLoader(getClass().getResource("/fxml/option-edit.fxml"));
            this.getChildren().add(fxmlLoader.load());
            this.controller = fxmlLoader.getController();
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

    public OptionEditController getController() {
        return controller;
    }

    public void setController(OptionEditController controller) {
        this.controller = controller;
    }
}
